FastStringWriter (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class FastStringWriter

- org.grails.buffer.FastStringWriter

-     public class FastStringWriter
      extends GrailsPrintWriter

  Java's default StringWriter uses a StringBuffer which is synchronized. This implementation doesn't use synchronization

  Authors:
    Graeme Rocher
    Lari Hotari
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected StreamCharBuffer` | `streamBuffer` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriter` | `CRLF, LOG, allowUnwrappingOut, metaClass, out, previousOut, streamCharBufferTarget, trouble, usageFlag`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FastStringWriter ()`
    `FastStringWriter (int initialChunkSize)`
    `FastStringWriter (java.lang.Object o)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public StreamCharBuffer` | `getBuffer()`
    `` | `public java.io.Reader` | `getReader()`
    `` | `public java.lang.String` | `getValue()`
    `` | `protected void` | `initOut()`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriter` | `append, append, append, append, append, appendNullCharSequence, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, handleIOException, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isTrouble, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable`

- - ### Field Detail

    - #### protected final StreamCharBuffer streamBuffer

  - ### Constructor Detail

    - #### public FastStringWriter()

    - #### public FastStringWriter(int initialChunkSize)

    - #### public FastStringWriter(java.lang.Object o)

  - ### Method Detail

    - #### public StreamCharBuffer getBuffer()

    - #### public java.io.Reader getReader()

    - #### public java.lang.String getValue()

    - #### protected void initOut()

    - #### @java.lang.Override public java.lang.String toString()